<?php
/*********************************************************      
 程序说明：         
    功能说明：清除费率计划
              
    调用关系：调用: header.inc   
             被调用:  
 
    变量说明：

    作者：    
      
修改注释：      
NO.1      
姓名：          
时间：     
修改说明：
*********************************************************/
require("../../inc/header.inc");

$db=$bill_db;
$table_name='preplan_tariff_Comm';

if($sure_del){	
	$delSql="DELETE FROM $table_name";
	//echo "del_sql=$del_sql";
	$result=mysqli_query($pubConn,$delSql);
	echo "<br><font color=\"#0000FF\">$strOperateDatabaseSuccess please set parameter!</font>";
	//---插入日志------
	$log_name = "Can Tarriff plan".$user_info["account"];
	insertLog("$log_name");
	//----------------
	echo "<p>";
	echo "<br><input type=\"button\" value=\"$strReturn\" onclick=jacascript:location.href=\"./setStart.php\">";
}elseif($no_del){
        echo " <meta http-equiv=\"refresh\" content=\"0; url=./setStart.php\"> ";
}else{
	echo "<form action=\"$PHP_SELF\">";
	// WHERE key_comm_id='$plan_id'
	$sel_sql="SELECT * FROM $table_name";
	$result=mysqli_query($pubConn,$sel_sql);
	$result_rows=mysqli_fetch_array($result);
	$rows_num=mysqli_num_rows($result);
	if($rows_num > 0){
?>
	<table border="1" width="100%" cellpadding="2" cellspacing="0"  bordercolor="#666666" bordercolordark="#FFFFFF" bgcolor="#FFFFFF"  >
	<tr bgcolor="#E6E6E6">
	<?php
	echo "<td align=\"center\">$strNewTariffPlanStartTime</td>"; 
	echo "<td align=\"center\">$strProcessStatus</td>";
	echo "<td align=\"center\">$strExecutionTime</td>"; 
	echo "<td align=\"center\">$strSender</td>"; 
	echo "<td align=\"center\">$strSourceIP</td>"; 
	echo "<td align=\"center\">$strAppealTime</td>"; 
	echo " </tr>";
	echo " <tr>";
	$take_affect_time = date("Y-m-d H:i:s",$result_rows[take_affect_time]);
	echo "<td align=\"center\">$take_affect_time</td>"; 
	//0/1=已处理/待处理
	$show_status=$result_rows[comm_status]?'waiting':'finish';
	echo "<td align=\"center\">$show_status</td>";
	echo "<td align=\"center\">$result_rows[finish_time]</td>"; 
	echo "<td align=\"center\">$result_rows[operator]</td>"; 
	echo "<td align=\"center\">$result_rows[host_ip]</td>"; 
	echo "<td align=\"center\">$result_rows[request_time]</td>"; 
	echo " </tr>";
	echo " <tr>";
	echo "<td  align=\"center\" width=\"15%\"  bgcolor=\"#E6E6E6\">remark</td>";
	echo "<td colspan=\"5\">$result_rows[remark] &nbsp;</td>"; 
	echo " <tr>";
	echo "<table>";
	echo "<br><input type=\"hidden\" name=\"plan_id\" value=\"$plan_id\">";
	echo "<font color=\"#0000FF\" size=\"2\">$strCancelThisPlan?</font>";
    echo "&nbsp;&nbsp;&nbsp;<input type=\"Submit\" name=\"sure_del\" value=\"$strYes\"> ";
    echo "&nbsp;&nbsp;&nbsp;<input type=\"Submit\" name=\"no_del\" value=\"$strNo \"> ";       
    echo "</form> ";
	}//end if($rows_num > 0)
}
?>  
</body>  
  
</html>  
